Debian Bug report logs - #624533
[mingw32-ocaml] please provide mingw-w64-ocaml

version graph

Package: mingw32-ocaml; Maintainer for mingw32-ocaml is Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>; Source for mingw32-ocaml is src:mingw-ocaml.

Reported by: Török Edwin <edwintorok@gmail.com>

Date: Fri, 29 Apr 2011 12:27:02 UTC

Severity: wishlist

Found in version mingw32-ocaml/3.12.0+debian2

Fixed in version mingw-ocaml/3.12.1+debian1

Done: Romain Beauxis <toots@rastageeks.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#624533; Package mingw32-ocaml. (Fri, 29 Apr 2011 12:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Török Edwin <edwintorok@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Fri, 29 Apr 2011 12:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Török Edwin <edwintorok@gmail.com>
To: submit@bugs.debian.org
Subject: [mingw32-ocaml] please provide mingw-w64-ocaml
Date: Fri, 29 Apr 2011 15:25:45 +0300
Package: mingw32-ocaml
Version: 3.12.0+debian2
Severity: wishlist

--- Please enter the report below this line. ---
The current mingw32-ocaml uses the old gcc-mingw32 package.
In unstable we have gcc-mingw-w64 lately which can build both win32 and
win64 binaries, and is based on a more recent GCC (4.5.2).

It would be good if at least the 32-bit part of mingw32-ocaml would use
the new mingw from unstable. If it works it'd be awesome if it could
also use the 64-bit part of mingw to cross-compile to win64.

The compilers are called:
i686-w64-mingw32-gcc
x86_64-w64-mingw32-gcc

I did a quick test with the Debian package:
edit debian/control, and replace gcc-mingw32 with mingw-w64-dev in
Build-Depends, and replace both gcc-mingw32 and mingw32-runtime with
gcc-mingw-w64 (which depends on binutils-w64)

$ find debian/ -type f -exec  sed -ie
's/i586-mingw32msvc/i686-w64-mingw32/' {} \;
$ dpkg-buildpackage -us -uc

The package built successfully (on amd64, it probably would on x86-32
too, didn't try), and a quick test shows that a hello world builds with
the brand new i686-w64-mingw32-ocamlopt.

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.39-rc4-phenom

Debian Release: wheezy/sid
  500 unstable        ftp.ro.debian.org
  500 unstable        ftp.lug.ro
  500 testing         security.debian.org
  500 testing         ftp.ro.debian.org
  500 stable          ftp.ro.debian.org
    1 experimental    ftp.ro.debian.org

--- Package information. ---
Depends               (Version) | Installed
===============================-+-============
lib32ncurses5       (>= 5.5-5~) | 5.9-1
libc6                  (>= 2.7) | 2.13-0exp5
libc6-i386             (>= 2.7) | 2.13-0exp5
ocaml-nox                       | 3.12.0-5
ocaml-findlib                   | 1.2.6+debian-1+b1
gcc-mingw32                     |
mingw32-runtime                 | 3.13-1


Package's Recommends field is empty.

Package's Suggests field is empty.







Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#624533; Package mingw32-ocaml. (Fri, 29 Apr 2011 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Beauxis <toots@rastageeks.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Fri, 29 Apr 2011 17:30:04 GMT) Full text and rfc822 format available.

Message #10 received at 624533@bugs.debian.org (full text, mbox):

From: Romain Beauxis <toots@rastageeks.org>
To: Török Edwin <edwintorok@gmail.com>, 624533@bugs.debian.org
Subject: Re: Bug#624533: [mingw32-ocaml] please provide mingw-w64-ocaml
Date: Fri, 29 Apr 2011 12:20:17 -0500
Thank you for this very good report and for trying. I will make sure
that I take this in consideration for the next upload.

Actually, if you are interested in maintaining the package, I would be
pleased to add you to the uploaders.

Romain

2011/4/29 Török Edwin <edwintorok@gmail.com>:
> Package: mingw32-ocaml
> Version: 3.12.0+debian2
> Severity: wishlist
>
> --- Please enter the report below this line. ---
> The current mingw32-ocaml uses the old gcc-mingw32 package.
> In unstable we have gcc-mingw-w64 lately which can build both win32 and
> win64 binaries, and is based on a more recent GCC (4.5.2).
>
> It would be good if at least the 32-bit part of mingw32-ocaml would use
> the new mingw from unstable. If it works it'd be awesome if it could
> also use the 64-bit part of mingw to cross-compile to win64.
>
> The compilers are called:
> i686-w64-mingw32-gcc
> x86_64-w64-mingw32-gcc
>
> I did a quick test with the Debian package:
> edit debian/control, and replace gcc-mingw32 with mingw-w64-dev in
> Build-Depends, and replace both gcc-mingw32 and mingw32-runtime with
> gcc-mingw-w64 (which depends on binutils-w64)
>
> $ find debian/ -type f -exec  sed -ie
> 's/i586-mingw32msvc/i686-w64-mingw32/' {} \;
> $ dpkg-buildpackage -us -uc
>
> The package built successfully (on amd64, it probably would on x86-32
> too, didn't try), and a quick test shows that a hello world builds with
> the brand new i686-w64-mingw32-ocamlopt.
>
> --- System information. ---
> Architecture: amd64
> Kernel:       Linux 2.6.39-rc4-phenom
>
> Debian Release: wheezy/sid
>  500 unstable        ftp.ro.debian.org
>  500 unstable        ftp.lug.ro
>  500 testing         security.debian.org
>  500 testing         ftp.ro.debian.org
>  500 stable          ftp.ro.debian.org
>    1 experimental    ftp.ro.debian.org
>
> --- Package information. ---
> Depends               (Version) | Installed
> ===============================-+-============
> lib32ncurses5       (>= 5.5-5~) | 5.9-1
> libc6                  (>= 2.7) | 2.13-0exp5
> libc6-i386             (>= 2.7) | 2.13-0exp5
> ocaml-nox                       | 3.12.0-5
> ocaml-findlib                   | 1.2.6+debian-1+b1
> gcc-mingw32                     |
> mingw32-runtime                 | 3.13-1
>
>
> Package's Recommends field is empty.
>
> Package's Suggests field is empty.
>
>
>
>
>
>
> --
> To UNSUBSCRIBE, email to debian-ocaml-maint-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/4DBAAE49.1090000@gmail.com
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#624533; Package mingw32-ocaml. (Sat, 08 Oct 2011 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Sat, 08 Oct 2011 22:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 624533@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Romain Beauxis <toots@rastageeks.org>, 624533@bugs.debian.org
Subject: Re: Bug#624533: [mingw32-ocaml] please provide mingw-w64-ocaml
Date: Sun, 9 Oct 2011 00:28:00 +0200
Hi,

On Fri, Apr 29, 2011 at 12:20:17PM -0500, Romain Beauxis wrote:
> Thank you for this very good report and for trying. I will make sure
> that I take this in consideration for the next upload.

I was about to file a similar bug (as maintainer of mingw-w64 rather
than a user of mingw32-ocaml) when I came across this one. I've just
tried rebuilding mingw32-ocaml using gcc-mingw-w64, which is now based
on gcc 4.6.1, and it still works fine. Török's instructions are
correct, but can be improved slightly: the only necessary
build- and runtime- dependencies are mingw-w64, which will always
depend on everything necessary to get a full gcc-based toolchain
targetting both 32- and 64-bit Windows.

I'm hoping to get rid of gcc-mingw32 altogether, which is why I'm
particularly interested in this bug!

When looking at the resulting package, I also noticed a couple of
oddities:
* there's link from /usr/bin/flexlink to
  ../lib/ocaml/flexdll/flexlink.exe, which seems strange - the .exe is
  an ELF executable, and the /usr/bin file isn't prefixed with
  i686-w64-mingw32-
* the package ships binaries in /usr/i686-w64-mingw32/bin
  (/usr/i586-mingw32msvc/bin in the current package), along with
  prefixed links in /usr/bin; would it be possible to only ship the
  prefixed files in /usr/bin?

Concerning the latter point, the reason I ask is that
/usr/i586-mingw32msvc and /usr/i686-w64-mingw32 aren't
policy-compliant; eventually the ../include and ../lib directories
will be handled by multiarch (and move to
/usr/include/i686-w64-mingw32 etc.), but the ../bin directory should
probably disappear. This is also supported by the autotools approach
favouring prefixed tools (i686-w64-mingw32-gcc for example) rather
than tools in specific directories (/usr/i686-w64-mingw32/bin/gcc).

Regards,

Stephen




Added indication that bug 624533 blocks 644769 Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sat, 08 Oct 2011 22:45:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 10 Oct 2011 00:09:04 GMT) Full text and rfc822 format available.

Reply sent to Romain Beauxis <toots@rastageeks.org>:
You have taken responsibility. (Wed, 12 Oct 2011 21:22:13 GMT) Full text and rfc822 format available.

Notification sent to Török Edwin <edwintorok@gmail.com>:
Bug acknowledged by developer. (Wed, 12 Oct 2011 21:22:13 GMT) Full text and rfc822 format available.

Message #24 received at 624533-close@bugs.debian.org (full text, mbox):

From: Romain Beauxis <toots@rastageeks.org>
To: 624533-close@bugs.debian.org
Subject: Bug#624533: fixed in mingw-ocaml 3.12.1+debian1
Date: Wed, 12 Oct 2011 21:17:26 +0000
Source: mingw-ocaml
Source-Version: 3.12.1+debian1

We believe that the bug you reported is fixed in the latest version of
mingw-ocaml, which is due to be installed in the Debian FTP archive:

mingw-ocaml_3.12.1+debian1.dsc
  to main/m/mingw-ocaml/mingw-ocaml_3.12.1+debian1.dsc
mingw-ocaml_3.12.1+debian1.tar.gz
  to main/m/mingw-ocaml/mingw-ocaml_3.12.1+debian1.tar.gz
mingw-ocaml_3.12.1+debian1_i386.deb
  to main/m/mingw-ocaml/mingw-ocaml_3.12.1+debian1_i386.deb
minw32-ocaml_3.12.1+debian1_all.deb
  to main/m/mingw-ocaml/minw32-ocaml_3.12.1+debian1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624533@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Romain Beauxis <toots@rastageeks.org> (supplier of updated mingw-ocaml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 09 Oct 2011 03:51:02 +0200
Source: mingw-ocaml
Binary: mingw-ocaml minw32-ocaml
Architecture: source all i386
Version: 3.12.1+debian1
Distribution: unstable
Urgency: low
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Changed-By: Romain Beauxis <toots@rastageeks.org>
Description: 
 mingw-ocaml - OCaml cross-compiler based on mingw
 minw32-ocaml - OCaml cross-compiler based on mingw -- dummy transitional package
Closes: 624533
Changes: 
 mingw-ocaml (3.12.1+debian1) unstable; urgency=low
 .
   * New upstream release.
   * Now using gcc-mingw-w64. Thanks to Török Edwin and Stephen Kitt
     for very good bug report and suggestions!
   Closes: #624533
   * Renamed source package in a non architecture-specific way.
   * Provide prefixed binary directly in /usr/bin
   * Removed camlp4 from the package: produced binaries where not ELF..
   * Added patch to fix socket being turned non-blocking after
     calling select() on them (see upstream #5328).
   * Dropped fix_fd_leak.patch: fix applied upstream.
Checksums-Sha1: 
 c868330f17a9751ba5062a13fd993f73a00448eb 1501 mingw-ocaml_3.12.1+debian1.dsc
 24907ba9f3f9c3433c429353d3ae17e0c64e1836 3739769 mingw-ocaml_3.12.1+debian1.tar.gz
 b4e1f7429bc50d729a9f1c21daadf8ed845b410b 8698 minw32-ocaml_3.12.1+debian1_all.deb
 a256ee5b0c59f8291e98ba68b44bb34c5e906dce 3185892 mingw-ocaml_3.12.1+debian1_i386.deb
Checksums-Sha256: 
 5d3f3f44d2bd9126c0613707cdbe894e4b97e90da04e4b93b189b45a51ce616e 1501 mingw-ocaml_3.12.1+debian1.dsc
 e8a36cb091e2d1c7ecc54c8a48e8196ba6d9407ba14dd8c9b16fdbae302be1f6 3739769 mingw-ocaml_3.12.1+debian1.tar.gz
 2ef20d99d032909ff7f59bfe12745147f2d6800bdfbb486797ac80eef49eaf34 8698 minw32-ocaml_3.12.1+debian1_all.deb
 3b880081c2ec618b0aa391c4169eba03430aebf92982539c86e22a093bcc6756 3185892 mingw-ocaml_3.12.1+debian1_i386.deb
Files: 
 5c3e15f284b00281b5e1e26e7cdfcac3 1501 ocaml optional mingw-ocaml_3.12.1+debian1.dsc
 2167a3a7573e81e21e15fe02ec6aca17 3739769 ocaml optional mingw-ocaml_3.12.1+debian1.tar.gz
 efdb4f56e876d27487ece61214f2734f 8698 ocaml optional minw32-ocaml_3.12.1+debian1_all.deb
 78ff097234b2f162dbd8e1742d5d015f 3185892 ocaml optional mingw-ocaml_3.12.1+debian1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBAgAGBQJOkZrsAAoJEAC5aaocqV0Zi1kIAKHqfbxFaHpeO+DQ3UE61nQ9
ulOpwRd5udq4+u8maRhcbWX57JmdBinKjen7mrKR6omm6i6IUIx7aQRipbkUJrQC
qFwO/PNHmRFHAyMEAhcxFDStcr2D+gLH5H63T3rkt6Z5BX+mBr0aVOYDku4CG8Ai
w3k7+6ay8xODNDNy0AL7o0CimtlTA+8VLr4QUyx/paAj8O1dufoZAciJwnmPOLZX
AZ8gEecXw5TYvWrV7PjDssPMBi0Z/1nyIsENwwmkO+KBmsKlVxRVSzlQafKma2J5
bwPa6trzKlvtgi6t951Gm6NeVNPNnsacTEAeuCAwl1+2tABW6tGONrtR5jntPzk=
=aqwn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Nov 2011 07:34:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:56:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.